<?php
/*
###################################################################################
  Bigware Shop 2.3
  Release Datum: 23.08.2015
  
  Bigware Shop
  http://www.bigware.de

  Copyright (c) 2015 Bigware LTD
  (c) 2000-2001 The Exchange Project  (earlier name of osCommerce)
  (c) 2015	Bigware LTD

  Copyrightvermerke duerfen nicht entfernt werden.
  ------------------------------------------------------------------------
  Dieses Programm ist freie Software. Sie koennen es unter den Bedingungen
  der GNU General Public License, wie von der Free Software Foundation
  veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess Version 2 
  der Lizenz oder (nach Ihrer Option) jeder spaeteren Version.
  Die Veroeffentlichung dieses Programms erfolgt in der Hoffnung, dass es Ihnen
  von Nutzen sein wird, aber OHNE IRGENDEINE GARANTIE, sogar ohne die
  implizite Garantie der MARKTREIFE oder der VERWENDBARKEIT FUER EINEN
  BESTIMMTEN ZWECK. Details finden Sie in der GNU General Public License.
  
  Sie sollten eine Kopie der GNU General Public License zusammen mit diesem
  Programm erhalten haben. Falls nicht, schreiben Sie an die Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.

  Infos:
  ------------------------------------------------------------------------
  Der Bigware Shop wurde vor vielen Jahren bereits aus dem bekannten Shopsystem osCommerce
  weiter- und neuentwickelt.
  Der Bigware Shop legt im hohen Masse Wert auf Bedienerfreundlichkeit, beinhaltet eine leichte
  Installation, viele neue professionelle Werkzeuge und zeichnet sich aus durch eine grosse 
  Community, die bei Problemen weiterhelfen kann.
  
  Der Bigware Shop ist auf jedem System lauffaehig, welches eine PHP Umgebung
  (ab PHP 4.1.3) und mySQL zur Verfuegung stellt und auf Linux basiert.
 
  Hilfe erhalten Sie im Forum auf www.bigware.de 
  
  -----------------------------------------------------------------------
  
 ##################################################################################




*/
?>
<?php
  require('load_this/load_bigware_11.php');
  require(FOLDER_RELATIV_CLASSES . 'class_bigware_1.php');
  $currencies = new currencies();
$cat_stat=0; 
if ($non_kat_items_delete == "ja"){
	$id = @go_db_query("select items.* from ((items) LEFT JOIN items_to_categories ON items.items_id=items_to_categories.items_id) where items_to_categories.items_id is NULL");
		while ($werte = @go_db_fetch_array($id)){
			$items_id_loeschen = $werte["items_id"];
			@go_db_query("delete from items where items_id ='$items_id_loeschen'");
			@go_db_query("delete from items_description where items_id ='$items_id_loeschen'");
			@go_db_query("delete from items_to_categories where items_id ='$items_id_loeschen'");	
	}
}
  if($action) {
   $selected_cnt   = count($choose);
    switch($action) {
      case 'delete_item_confirm':
        for ($i = 0; $i < $selected_cnt; $i++) {
          $item_id = $choose[$i];
          $item_categories = $_POST['item_categories'];
          if($del_art=='complete') {
		  	go_remove_item($item_id);
		  } elseif($del_art=='this_cat') {
		  	go_db_query("delete from " . DB_TBL_ITEMS_TO_CATEGORIES . " where items_id = '" . $item_id . "' and categories_id = '" . $current_category_id . "'");
		  }
          if (USE_CACHE == 'true') {
            go_reset_cache_block('categories');
            go_reset_cache_block('also_purchased');
          }
		} 
        go_forward(go_href_link(NAME_OF_FILE_ITEMS_MULTI, 'bigPfad=' . $bigPfad));
        break;
      case 'move_item_confirm':
        for ($i = 0; $i < $selected_cnt; $i++) {
		  $items_id = $choose[$i];
          $new_parent_id = go_db_producing_input($_POST['categories_id']);
          $duplicate_check_query = go_db_query("select count(*) as total from " . DB_TBL_ITEMS_TO_CATEGORIES . " where items_id = '" . go_db_input($items_id) . "' and categories_id = '" . go_db_input($new_parent_id) . "'");
          $duplicate_check = go_db_fetch_array($duplicate_check_query);
          if ($duplicate_check['total'] < 1) go_db_query("update " . DB_TBL_ITEMS_TO_CATEGORIES . " set categories_id = '" . go_db_input($new_parent_id) . "' where items_id = '" . go_db_input($items_id) . "' and categories_id = '" . $current_category_id . "'");
          if (USE_CACHE == 'true') {
            go_reset_cache_block('categories');
            go_reset_cache_block('also_purchased');
          }
		} 
        go_forward(go_href_link(NAME_OF_FILE_ITEMS_MULTI, 'bigPfad=' . $new_parent_id . '&bigID=' . $items_id));
        break;
      case 'copy_to_confirm':
        for ($i = 0; $i < $selected_cnt; $i++) {
		  $items_id = $choose[$i];
          $categories_id = go_db_producing_input($_POST['categories_id']);
            if ($_POST['categories_id'] != $current_category_id) {
              $check_query = go_db_query("select count(*) as total from " . DB_TBL_ITEMS_TO_CATEGORIES . " where items_id = '" . go_db_input($items_id) . "' and categories_id = '" . go_db_input($categories_id) . "'");
              $check = go_db_fetch_array($check_query);
              if ($check['total'] < '1') {
                go_db_query("insert into " . DB_TBL_ITEMS_TO_CATEGORIES . " (items_id, categories_id) values ('" . go_db_input($items_id) . "', '" . go_db_input($categories_id) . "')");
              }
            } else {
              $messageStack->add_session(ERROR_CANNOT_LINK_TO_SAME_CATEGORY, 'error');
            }
          if (USE_CACHE == 'true') {
            go_reset_cache_block('categories');
            go_reset_cache_block('also_purchased');
          }
		} 
        go_forward(go_href_link(NAME_OF_FILE_ITEMS_MULTI, 'bigPfad=' . $categories_id . '&bigID=' . $items_id));
        break;
    }
  } 
  if (is_dir(FOLDER_ABSOLUT_CATALOG_PICTURES)) {
    if (!is_writeable(FOLDER_ABSOLUT_CATALOG_PICTURES)) $messageStack->add(ERROR_CATALOG_PICTURE_DIRECTORY_NOT_WRITEABLE, 'error');
  } else {
    $messageStack->add(ERROR_CATALOG_PICTURE_DIRECTORY_DOES_NOT_EXIST, 'error');
  }
?>
<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<html <?php echo HTML_PARAMS; ?>>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo CHARSET; ?>">
<title><?php echo TITLE; ?></title>
<link rel="stylesheet" type="text/css" href="load_this/style.css">
<script language="javascript" src="load_this/general.js"></script>
<script language="javascript" src="load_this/menu.js"></script>
</head>
<body marginwidth="0" marginheight="0" topmargin="0" bottommargin="0" leftmargin="0" rightmargin="0" bgcolor="#FFFFFF" onload="SetFocus();">
<div id="spiffycalendar" class="text"></div>
<!-- header //-->
<?php require(FOLDER_RELATIV_INCLUDES . 'load_bigware_9.php'); ?>
<!-- header_eof //-->
<!-- body //-->
<table border="0" width="100%" cellspacing="2" cellpadding="2">
  <tr>
    <td width="<?php echo FRAME_WIDTH; ?>" valign="top">
    </td>
<!-- body_text //-->
    <td width="100%" valign="top"><table border="0" width="100%" cellspacing="0" cellpadding="2">
      <tr>
        <td><table border="0" width="100%" cellspacing="0" cellpadding="0">
          <tr>
            <td class="pageGeneralsign">
			<?php
			echo ABOVE_TITLE; 
			?>
			</td>
            <td class="pageGeneralsign" align="right"><?php echo go_fetch_dividing_up('spacer/tranparentes.gif', 1, ABOVE_PICTURE_HEIGHT); ?></td>
            <td align="right"><table border="0" width="100%" cellspacing="0" cellpadding="0">
              <tr><?php echo go_fetch_form('search', NAME_OF_FILE_ITEMS_MULTI, '', 'get'); ?>
                <td class="smallText" align="right"><?php echo ABOVE_TITLE_SEARCH . ' ' . go_fetch_inputfeld('search', $_GET['search']); ?></td>
              </form></tr>
              <tr><?php echo go_fetch_form('goto', NAME_OF_FILE_ITEMS_MULTI, '', 'get'); ?>
                <td class="smallText" align="right"><?php echo ABOVE_TITLE_GOTO . ' ' . go_fetch_pull_down_menu('bigPfad', go_get_category_tree(), $current_category_id, 'onChange="this.form.submit();"'); ?></td>
              </form></tr>            
            </table></td>
          </tr>
        </table></td>
      </tr>
<form method="post" action="main_bigware_70.php?bigPfad=<?php echo $bigPfad; ?>&bigID=<?php echo $bigID; ?>" name="mainForm">
      <tr>
        <td><table cellpadding="5" border="0" width="100%" cellspacing="0" cellpadding="0">
          <tr>
            <td valign="top"><table border="0" cellpadding="5" cellspacing="1" style="border-collapse: collapse" width="100%" id="AutoNumber1">
              <tr class="tbUPCountData">
                <td class="tbUPDataInside"><?php echo TEXT_CHOOSE ?></td>
				<td class="tbUPDataInside"><?php echo DB_TBL_ABOVE_CATEGORIES_ITEMS; ?></td>
                <td class="tbUPDataInside" align="left"><?php echo TEXT_PROD_NR ?><?php echo DB_TBL_ABOVE_STATUS; ?></td>
                <td class="tbUPDataInside" align="right"><?php echo DB_TBL_ABOVE_ACTION; ?>&nbsp;</td>
              </tr>
<?php
    $categories_count = 0;
    $rows = 0;
    if ($_GET['search']) {
      if($cat_stat==1) {
	  	$categories_query = go_db_query("select c.categories_id, cd.categories_name, c.categories_picture, c.parent_id, c.sort_order, c.date_added, c.last_modified, c.categories_status from " . DB_TBL_CATEGORIES . " c, " . DB_TBL_CATEGORIES_DESCRIPTION . " cd where c.categories_id = cd.categories_id and cd.language_id = '" . $languages_id . "' and cd.categories_name like '%" . $_GET['search'] . "%' order by c.sort_order, cd.categories_name");
	  } else {
	  	$categories_query = go_db_query("select c.categories_id, cd.categories_name, c.categories_picture, c.parent_id, c.sort_order, c.date_added, c.last_modified from " . DB_TBL_CATEGORIES . " c, " . DB_TBL_CATEGORIES_DESCRIPTION . " cd where c.categories_id = cd.categories_id and cd.language_id = '" . $languages_id . "' and cd.categories_name like '%" . $_GET['search'] . "%' order by c.sort_order, cd.categories_name");
	  }
    } else {
      if($cat_stat==1) {
	  	$categories_query = go_db_query("select c.categories_id, cd.categories_name, c.categories_picture, c.parent_id, c.sort_order, c.date_added, c.last_modified, c.categories_status from " . DB_TBL_CATEGORIES . " c, " . DB_TBL_CATEGORIES_DESCRIPTION . " cd where c.parent_id = '" . $current_category_id . "' and c.categories_id = cd.categories_id and cd.language_id = '" . $languages_id . "' order by c.sort_order, cd.categories_name");
	  } else {
	  	$categories_query = go_db_query("select c.categories_id, cd.categories_name, c.categories_picture, c.parent_id, c.sort_order, c.date_added, c.last_modified from " . DB_TBL_CATEGORIES . " c, " . DB_TBL_CATEGORIES_DESCRIPTION . " cd where c.parent_id = '" . $current_category_id . "' and c.categories_id = cd.categories_id and cd.language_id = '" . $languages_id . "' order by c.sort_order, cd.categories_name");
	  }
    }
    while ($categories = go_db_fetch_array($categories_query)) {
      $categories_count++;
      $rows++; 
      if ($_GET['search']) $bigPfad= $categories['parent_id'];
      if ( ((!$_GET['bigID']) && (!$_GET['bigID']) || (@$_GET['bigID'] == $categories['categories_id'])) && (!$bigwareInfo) && (substr($_GET['action'], 0, 4) != 'new_') ) {
        $category_childs = array('childs_count' => go_childs_in_category_count($categories['categories_id']));
        $category_items = array('items_count' => go_items_in_category_count($categories['categories_id']));
        $bigwareInfo_array = go_array_merge($categories, $category_childs, $category_items);
        $bigwareInfo = new objectInfo($bigwareInfo_array);
      }
      if ( (is_object($bigwareInfo)) && ($categories['categories_id'] == $bigwareInfo->categories_id) ) {
        echo '              <tr class="tbCountDataSelected" onmouseover="this.style.cursor=\'hand\'" onclick="document.location.href=\'' . go_href_link(NAME_OF_FILE_ITEMS_MULTI, go_get_path($categories['categories_id'])) . '\'">' . "\n";
      } else {
        echo '              <tr class="tbCountData" onmouseover="this.className=\'tbCountDataOver\';this.style.cursor=\'hand\'" onmouseout="this.className=\'tbCountData\'" onclick="document.location.href=\'' . go_href_link(NAME_OF_FILE_ITEMS_MULTI, 'bigPfad=' . $bigPfad . '&bigID=' . $categories['categories_id']) . '\'">' . "\n";
      }
?>
                <td class="TbInsideData"></td>
				<td class="TbInsideData"><?php echo '<a href="' . go_href_link(NAME_OF_FILE_ITEMS_MULTI, go_get_path($categories['categories_id'])) . '">' . go_picture(FOLDER_RELATIV_ICONS . 'folder.gif', ICON_FOLDER) . '</a>&nbsp;<b>' . $categories['categories_name'] . '</b>'; ?></td>
                <!-- <td class="TbInsideData" align="center">&nbsp;</td> -->
				<td class="TbInsideData" align="center">
<?php
	  if($cat_stat==1) {
		  if ($categories['categories_status'] == '1') {
	        echo go_picture(FOLDER_RELATIV_PICTURES . 'icon_status_green.gif', PICTURE_ICON_STATUS_GREEN, 10, 10) . '&nbsp;&nbsp;' . go_picture(FOLDER_RELATIV_PICTURES . 'icon_status_red_light.gif', PICTURE_ICON_STATUS_RED_LIGHT, 10, 10);
	      } else {
	        echo go_picture(FOLDER_RELATIV_PICTURES . 'icon_status_green_light.gif', PICTURE_ICON_STATUS_GREEN_LIGHT, 10, 10) . '&nbsp;&nbsp;' . go_picture(FOLDER_RELATIV_PICTURES . 'icon_status_red.gif', PICTURE_ICON_STATUS_RED, 10, 10);
	      }
	  }
?>
                &nbsp;</td>
				<td class="TbInsideData" align="right"><?php if ( (is_object($bigwareInfo)) && ($categories['categories_id'] == $bigwareInfo->categories_id) ) { echo go_picture(FOLDER_RELATIV_PICTURES . 'icon_arrow_right.gif', ''); } else { echo '<a href="' . go_href_link(NAME_OF_FILE_ITEMS_MULTI, 'bigPfad=' . $bigPfad . '&bigID=' . $categories['categories_id']) . '">' . go_picture(FOLDER_RELATIV_PICTURES . 'icon_info.gif', PICTURE_ICON_INFO) . '</a>'; } ?>&nbsp;</td>
              </tr>
<?php
    }
    $items_count = 0;
    if ($_GET['search']) {
  	  $items_query = go_db_query("select p.items_tax_class_id, p.items_id, pd.items_name, p.items_quantity, p.items_picture, p.items_price, p.items_date_added, p.items_last_modified, p.items_date_available, p.items_date_available_end, p.items_status, p.items_model, p2c.categories_id from " . DB_TBL_ITEMS . " p, " . DB_TBL_ITEMS_DESCRIPTION . " pd, " . DB_TBL_ITEMS_TO_CATEGORIES . " p2c where p.items_id = pd.items_id and pd.language_id = '" . $languages_id . "' and p.items_id = p2c.items_id and pd.items_name like '%" . $_GET['search'] . "%' order by pd.items_name"); 
    } else {
      $items_query = go_db_query("select p.items_tax_class_id, p.items_id, pd.items_name, p.items_quantity, p.items_picture, p.items_price, p.items_date_added, p.items_last_modified, p.items_date_available, p.items_date_available_end, p.items_status, p.items_model from " . DB_TBL_ITEMS . " p, " . DB_TBL_ITEMS_DESCRIPTION . " pd, " . DB_TBL_ITEMS_TO_CATEGORIES . " p2c where p.items_id = pd.items_id and pd.language_id = '" . $languages_id . "' and p.items_id = p2c.items_id and p2c.categories_id = '" . $current_category_id . "' order by pd.items_name"); 
    }
    while ($items = go_db_fetch_array($items_query)) {
      $items_count++;
      $rows++; 
      if ($_GET['search']) $bigPfad=$items['categories_id'];
      if ( ((!$_GET['bigID']) && (!$_GET['bigID']) || (@$_GET['bigID'] == $items['items_id'])) && (!$pInfo) && (!$bigwareInfo) && (substr($_GET['action'], 0, 4) != 'new_') ) { 
        $reviews_query = go_db_query("select (avg(reviews_rating) / 5 * 100) as average_rating from " . DB_TBL_REVIEWS . " where items_id = '" . $items['items_id'] . "'");
        $reviews = go_db_fetch_array($reviews_query);
        $pInfo_array = go_array_merge($items, $reviews);
        $pInfo = new objectInfo($pInfo_array);
      }
      if ( (is_object($pInfo)) && ($items['items_id'] == $pInfo->items_id) ) {
        echo '              <tr class="tbCountDataSelected" onmouseover="this.style.cursor=\'hand\'">' . "\n";
      } else {
        echo '              <tr class="tbCountData" onmouseover="this.className=\'tbCountDataOver\';this.style.cursor=\'hand\'" onmouseout="this.className=\'tbCountData\'">' . "\n";
      }
?>
                <td class="TbInsideData">
				<input type="checkbox" name="choose[]" value="<?php echo $items['items_id']; ?>" id="checkbox_choose_<?php echo $items_count; ?>" <?php if($checkall==1) { echo 'checked'; } ?>>
				</td>
				<td class="TbInsideData"><label for="checkbox_choose_<?php echo $items_count; ?>"><?php echo $items['items_name']; ?></label></td>
                <td class="TbInsideData" align="left"><table><tr><td align="left" class="TbInsideData" width="100">
<?php
      echo '&nbsp;'.$items['items_model'].'&nbsp;</td><td align="left" class="TbInsideData">';
	  if ($items['items_status'] == '1') {
        echo go_picture(FOLDER_RELATIV_PICTURES . 'icon_status_green.gif', PICTURE_ICON_STATUS_GREEN, 10, 10) . '&nbsp;&nbsp;' . go_picture(FOLDER_RELATIV_PICTURES . 'icon_status_red_light.gif', PICTURE_ICON_STATUS_RED_LIGHT, 10, 10);
      } else {
        echo go_picture(FOLDER_RELATIV_PICTURES . 'icon_status_green_light.gif', PICTURE_ICON_STATUS_GREEN_LIGHT, 10, 10) . '&nbsp;&nbsp;' . go_picture(FOLDER_RELATIV_PICTURES . 'icon_status_red.gif', PICTURE_ICON_STATUS_RED, 10, 10);
      }
?>
				</td></tr></table></td>
                <td class="TbInsideData" align="right"><?php if ( (is_object($pInfo)) && ($items['items_id'] == $pInfo->items_id) ) { echo go_picture(FOLDER_RELATIV_PICTURES . 'icon_arrow_right.gif', ''); } else { echo '<a href="' . go_href_link(NAME_OF_FILE_ITEMS_MULTI, 'bigPfad=' . $bigPfad . '&bigID=' . $items['items_id']) . '">' . go_picture(FOLDER_RELATIV_PICTURES . 'icon_info.gif', PICTURE_ICON_INFO) . '</a>'; } ?>&nbsp;</td>
              </tr>
<?php
    } 
    if ($bigPfad_array) {
      $bigPfad_back = '';
      for($i=0;$i<sizeof($bigPfad_array)-1;$i++) {
        if ($bigPfad_back == '') {
          $bigPfad_back .= $bigPfad_array[$i];
        } else {
          $bigPfad_back .= '_' . $bigPfad_array[$i];
        }
      }
    }
    $bigPfad_back = ($bigPfad_back) ? 'bigPfad=' . $bigPfad_back : '';
?>
              <tr>
                <td colspan="4"><table border="0" width="100%" cellspacing="0" cellpadding="2">
                  <tr>
				  	<td>
					<img src="picture/icons/arrow_checkall.gif" alt="" width="38" height="22" border="0">
					<a href="main_bigware_70.php?bigPfad=<?php echo $bigPfad; ?>&bigID=<?php echo $bigID; ?>&checkall=1"><?php echo TEXT_CHOOSE_ALL; ?></a>
					&nbsp;/&nbsp;
					<a href="main_bigware_70.php?bigPfad=<?php echo $bigPfad; ?>&bigID=<?php echo $bigID; ?>"><?php echo TEXT_CHOOSE_ALL_REMOVE; ?></a>
					</td>
					<td align="right" class="smallText"></td>
                    <td align="right" class="smallText">
					<?php
					if ($bigPfad) echo '<a href="' . go_href_link(NAME_OF_FILE_ITEMS_MULTI, $bigPfad_back . '&bigID=' . $current_category_id) . '">' . go_picture_button('button_back.gif', PICTURE_BACK) . '</a>&nbsp;';
					?>
					&nbsp;</td>
				  </tr>
				  <input type="hidden" name="bigPfad" value="<?php echo $bigPfad; ?>">
				  <input type="hidden" name="bigID" value="<?php echo $bigID; ?>">
				  <tr>
                    <td class="smallText"><p>&nbsp;</p></td>
					<td align="right" class="smallText"></td>
                    <td align="right" class="smallText"></td>
                  </tr>
				  <tr>
                    <td class="smallText"><?php echo TEXT_CATEGORIES . '&nbsp;' . $categories_count . '<br>' . TEXT_ITEMS . '&nbsp;' . $items_count; ?></td>
                    <td align="right" class="smallText" colspan="2">
					<label for="move_item_confirm"><?php echo TEXT_MOVE_TO; ?></label><input type="radio" name="action" value="move_item_confirm" id="move_item_confirm"> 
					<label for="copy_to_confirm"><?php echo PICTURE_COPY_TO; ?></label><input type="radio" name="action" value="copy_to_confirm" id="copy_to_confirm" checked> 
					&nbsp;<?php echo go_fetch_pull_down_menu('categories_id', go_get_category_tree(), $current_category_id); ?></td>
                  </tr>
				  <tr>
                    <td class="smallText"></td>
                    <td align="right" class="smallText" colspan="2">
					<label for="delete_item_confirm"><?php echo DEL_DELETE; ?></label><input type="radio" name="action" value="delete_item_confirm" id="delete_item_confirm">
					&nbsp;
					<select name="del_art" title="<?php echo DEL_CHOOSE_DELETE_ART; ?>" id="del_art"><option value="this_cat" selected><?php echo DEL_THIS_CAT; ?></option><option value="complete"><?php echo DEL_COMPLETE; ?></option></select>
					</td>
                  </tr>
				  <tr>
                    <td class="smallText"></td>
					<td align="right" class="smallText"></td>
                    <td align="right" class="smallText">
					<input type="submit" name="go" value=" go! " title=" go! ">
					&nbsp;</td>
                  </tr>
				  <tr>
				    <td class="TbInsideData" colspan="3">
					<?php echo TEXT_ATTENTION_DANGER; ?>
					</td>
				  </tr>
                </table></td>
              </tr>
            </table></td class="smallText"><a href="main_bigware_70.php?non_kat_items_delete=ja"><?php echo TEXT_CLICK_ADVICE ?></a>
<?php
    $heading = array();
    $contents = array();
    switch ($_GET['action']) {
      default:
        if ($rows > 0) {
          if (is_object($bigwareInfo)) { 
            $heading[] = array('text' => '<b>' . $bigwareInfo->categories_name . '</b>');
            $contents[] = array('text' => '<br>' . TEXT_DATE_ADDED . ' ' . go_date_short($bigwareInfo->date_added));
            if (go_not_null($bigwareInfo->last_modified)) $contents[] = array('text' => TEXT_LAST_MODIFIED . ' ' . go_date_short($bigwareInfo->last_modified));
            $contents[] = array('text' => '<br>' . go_info_picture($bigwareInfo->categories_picture, $bigwareInfo->categories_name, ABOVE_PICTURE_WIDTH, ABOVE_PICTURE_HEIGHT) . '<br>' . $bigwareInfo->categories_picture);
            $contents[] = array('text' => '<br>' . TEXT_SUBCATEGORIES . ' ' . $bigwareInfo->childs_count . '<br>' . TEXT_ITEMS . ' ' . $bigwareInfo->items_count);
          } elseif (is_object($pInfo)) { 
            $heading[] = array('text' => '<b>' . go_get_values_from_items_description($pInfo->items_id, $languages_id, 'items_name') . '</b>');
            $contents[] = array('text' => '<br>' . TEXT_DATE_ADDED . ' ' . go_date_short($pInfo->items_date_added));
            if (go_not_null($pInfo->items_last_modified)) $contents[] = array('text' => TEXT_LAST_MODIFIED . ' ' . go_date_short($pInfo->items_last_modified));
            # FIXME if (date('Y-m-d') < $pInfo->items_date_available) $contents[] = array('text' => TEXT_DATE_AVAILABLE_BEGIN . ' ' . go_date_short($pInfo->items_date_available));
            # FIXME if (date('Y-m-d') < $pInfo->items_date_available_end) $contents[] = array('text' => TEXT_DATE_AVAILABLE_END . ' ' . go_date_short($pInfo->items_date_available_end));
            $contents[] = array('text' => '<br>' . go_info_picture($pInfo->items_picture, $pInfo->items_name, SMALL_PICTURE_WIDTH, SMALL_PICTURE_HEIGHT) . '<br>' . $pInfo->items_picture);
			$contents[] = array('text' => '<br>' . TEXT_ITEMS_PRICE_INFO . ' ' . $currencies->format($pInfo->items_price) . '<br>' . TEXT_ITEMS_QUANTITY_INFO . ' ' . $pInfo->items_quantity);
            $contents[] = array('text' => '<br>' . TEXT_ITEMS_AVERAGE_RATING . ' ' . number_format($pInfo->average_rating, 2) . '%');
          }
        } else { 
          $heading[] = array('text' => '<b>' . EMPTY_CATEGORY . '</b>');
          $contents[] = array('text' => sprintf(TEXT_NO_CHILD_CATEGORIES_OR_ITEMS, $parent_categories_name));
        }
        break;
    }
    if ( (go_not_null($heading)) && (go_not_null($contents)) ) {
      echo '            <td width="25%" valign="top">' . "\n";
      $frame = new frame;
      echo $frame->infoBox($heading, $contents);
      echo '            </td>' . "\n";
    }
?>
          </tr>
        </table></td>
      </tr>
<?php 
?>
    </table></td>
<!-- body_text_eof //-->
  </tr>
</form>
</table>
<!-- body_eof //-->
<!-- footer //-->
<?php require(FOLDER_RELATIV_INCLUDES . 'load_bigware_7.php'); ?>
<!-- footer_eof //-->
<br>
</body>
</html>
<?php require(FOLDER_RELATIV_INCLUDES . 'load_bigware_6.php'); ?>
